Pular para o conteúdo principal
POST
/
pix
/
v1
/
payment
/
withdraw
Withdraw a PIX Payment
curl --request POST \
  --url https://api.pagou.ai/pix/v1/payment/withdraw \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --data '
{
  "type": "PIX",
  "value": 1,
  "details": {
    "key": "<string>",
    "name": "<string>",
    "document": "<string>"
  },
  "externalId": "<string>"
}
'
import requests

url = "https://api.pagou.ai/pix/v1/payment/withdraw"

payload = {
    "type": "PIX",
    "value": 1,
    "details": {
        "key": "<string>",
        "name": "<string>",
        "document": "<string>"
    },
    "externalId": "<string>"
}
headers = {
    "apiKey": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    type: 'PIX',
    value: 1,
    details: {key: '<string>', name: '<string>', document: '<string>'},
    externalId: '<string>'
  })
};

fetch('https://api.pagou.ai/pix/v1/payment/withdraw', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "withdrawId": "wd_aa8f7af952d0424babecf85a3aa0af8a",
  "status": "WAITING_WITHDRAW",
  "value": 3500,
  "externalId": "saque-001",
  "createdAt": "2026-02-07T10:11:12.000Z"
}
{
  "type": "https://api.pagou.ai/problems/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The request contains invalid data.",
  "instance": "/pix/v1/payment/withdraw",
  "errors": [
    {
      "field": "transaction.value",
      "message": "Must be greater than zero.",
      "code": "invalid_type"
    }
  ]
}
{
  "type": "https://api.pagou.ai/problems/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Authentication failed for POST /pix/v1/payment/withdraw.",
  "instance": "/pix/v1/payment/withdraw"
}

Autorizações

apiKey
string
header
obrigatório

Corpo

application/json
type
enum<string>
obrigatório
Opções disponíveis:
PIX
value
number
obrigatório
Intervalo obrigatório: x > 0
details
object
obrigatório
externalId
string
obrigatório
Minimum string length: 1

Resposta

Success

withdrawId
string
obrigatório
status
string
obrigatório
value
integer
obrigatório
externalId
string
obrigatório
createdAt
string
obrigatório